# frozen_string_literal: true

module Bulkrax
  class CrcFolderComplexSubjectEntry < CsvEntry
    def build
      complex_subject = ComplexSubject.new(self.raw_metadata.slice('subject_identifier', 'subject_species', 'subject_type', 'subject_sex', 'subject_age'))
      complex_subject.source_identifier = identifier
      complex_subject.parent_source_identifier = self.raw_metadata['for_complex_identifier']
      if complex_subject.save
        self.status_info
      end
    end
  end
end
