require 'rails_helper'

RSpec.describe ComplexSession do
  it 'creates a complex subject with its attributes' do
    user = User.find_by(email: 'admin@hyrax')
    crc_dataset = create(:crc_dataset, :open,  :with_experiment_title, :with_experiment_description, :with_crc_resource_type,
                          :with_coverage, :with_approval_number, :with_extra_information )

    
    complex_subject = build(:complex_subject, :subject_identifier, :subject_species, :subject_type, crc_dataset_id: crc_dataset.id)

    complex_session = complex_subject.complex_sessions.build(session_identifier: 'Demo session identifier')

    complex_modality = complex_session.complex_modalities.build(modality_identifier: 'Demo modality identifier')

    expect(complex_modality.modality_identifier).to eq('Demo modality identifier')
    expect(complex_modality.complex_session.session_identifier).to eq(complex_session.session_identifier)
  end
end